ZuploZuplo
LoginSign Up
  • Documentation
  • API Reference
Information
Analytics
    Get recent requests for a given deployment in the last 24 hoursgetGet statistics on requests by status code for a given deploymentget
API Keys - Buckets
    Lists bucketsgetCreates a bucketpostGets a bucketgetDeletes a bucketdeleteUpdates a bucketpatch
API Keys - Consumers
    Lists consumersgetCreates a consumerpostGets a consumergetDeletes a consumerdeleteUpdates a consumerpatchRoll consumer keyspost
API Keys - Keys
    Lists keysgetCreates an API keypostCreates multiple API keyspostGets an API keygetDeletes an API keydeleteUpdates an API keypatch
API Keys - Managers
    Lists managersgetCreates a managerpostDeletes a managerdelete
Audit Logs
    Query audit logsget
Build Logs
    Get build logsget
Client mTLS CA Certificates
    List Client mTLS CA CertificatesgetCreate Client mTLS CA CertificatepostDelete Client mTLS CA CertificatedeleteUpdate Client mTLS CA Certificatepatch
Custom Domains
    Get Custom DomainsgetCreate Custom DomainpostDelete a Custom DomaindeleteUpdate a Custom Domainpatch
Deployments
    Gets a deployment statusgetLists deploymentsgetUpload deployment sourcepostGet a deploymentgetDeletes a deploymentdeleteRe-deploy a deploymentpost
Environments
    Query environmentsgetGet an environmentget
MCP Servers
    API MCP ServerpostDocs MCP Serverpost
Metering - Features
    List featuresgetCreate featurepostGet featuregetDelete featuredelete
Metering - Meters
    List metersgetCreate meterpostGet metergetUpdate meterputDelete meterdeleteList meter group by valuesgetQuery metergetQuery meterpost
Metering - Plans
    List plansgetCreate a planpostGet plangetUpdate a planputDelete plandeleteArchive plan versionpostPublish planpost
Projects
    Create projectpost
Runtime Logs
    List request logsgetGet request log detailget
Tunnel Services
    Gets a provisioning statusgetGets a service configurationgetConfigures tunnel servicesput
Tunnels
    Lists tunnelsgetCreates a tunnelpostGets a tunnelgetDeletes a tunneldeleteRotates the tokenpostGets a teardown statusget
Variables
    Creates a variablepostUpdates a variablepatch
Other endpoints
    OpenAPI SpecificationgetLists accountsgetLists projectsgetWho Am Iget
Schemas
powered by Zudoku
Zuplo Developer API
Zuplo Developer API

Variables

Set of operations available to create and update environment variables. You can learn more about environment variables here.


Creates a variable

POST
https://dev.zuplo.com
/v1/accounts/{accountName}/projects/{projectName}/branches/{branchName}/variables

Creates a new environment variable in a branch for a given project.

Creates a variable › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

projectName
​string · required

The name of the project. You can find this in your Zuplo Portal under Settings > Project Information.

branchName
​string · required

The name of the branch in your source control provider.

Creates a variable › Request Body

Zuplo.Variables.VariableCreateBody
name
​string · required

The name of the variable. Must be named in SCREAMING_SNAKE_CASE.

Example: APP_ENVIRONMENT_KEY
isSecret
​boolean · required

Whether the variable is a secret.

Example: true
value
​string · required

The value of the variable.

Creates a variable › Responses

The request has succeeded and a new resource has been created as a result.

Zuplo.Variables.Variable
branch
​string · readOnly · required
createdOn
​string · date-time · readOnly · required

When the item was created.

Example: 2023-04-18T05:54:34.408Z
updatedOn
​string · date-time · readOnly · required

When the item was last updated.

Example: 2023-04-20T05:54:34.408Z
name
​string · required

The name of the variable. Must be named in SCREAMING_SNAKE_CASE.

Example: APP_ENVIRONMENT_KEY
isSecret
​boolean · required

Whether the variable is a secret.

Example: true
value
​string · required

The value of the variable.

POST/v1/accounts/{accountName}/projects/{projectName}/branches/{branchName}/variables
curl https://dev.zuplo.com/v1/accounts/:accountName/projects/:projectName/branches/:branchName/variables \ --request POST \ --header 'Content-Type: application/json' \ --data '{ "name": "PORTAL_ID", "isSecret": false, "value": "89333" }'
Example Request Body
{ "name": "PORTAL_ID", "isSecret": false, "value": "89333" }
json
Example Responses
{ "name": "PORTAL_ID", "isSecret": false, "value": "89333", "branch": "main", "createdOn": "2023-04-18T05:54:34.408Z", "updatedOn": "2023-04-20T05:54:34.408Z" }
json
application/json

Updates a variable

PATCH
https://dev.zuplo.com
/v1/accounts/{accountName}/projects/{projectName}/branches/{branchName}/variables/{variableName}

Update the value of a variable in a branch for a given project.

Updates a variable › path Parameters

accountName
​string · required

The name of the account. You can find this in your Zuplo Portal under Settings > Project Information.

projectName
​string · required

The name of the project. You can find this in your Zuplo Portal under Settings > Project Information.

branchName
​string · required

The name of the branch in your source control provider.

variableName
​string · required

The name of the environment variable.

Updates a variable › Request Body

Zuplo.Variables.VariableUpdateBody
value
​string

The value of the variable.

Updates a variable › Responses

The request has succeeded.

Zuplo.Variables.Variable
branch
​string · readOnly · required
createdOn
​string · date-time · readOnly · required

When the item was created.

Example: 2023-04-18T05:54:34.408Z
updatedOn
​string · date-time · readOnly · required

When the item was last updated.

Example: 2023-04-20T05:54:34.408Z
name
​string · required

The name of the variable. Must be named in SCREAMING_SNAKE_CASE.

Example: APP_ENVIRONMENT_KEY
isSecret
​boolean · required

Whether the variable is a secret.

Example: true
value
​string · required

The value of the variable.

PATCH/v1/accounts/{accountName}/projects/{projectName}/branches/{branchName}/variables/{variableName}
curl https://dev.zuplo.com/v1/accounts/:accountName/projects/:projectName/branches/:branchName/variables/:variableName \ --request PATCH \ --header 'Content-Type: application/json' \ --data '{ "value": "89333" }'
Example Request Body
{ "value": "89333" }
json
Example Responses
{ "name": "PORTAL_ID", "isSecret": false, "value": "89333", "branch": "main", "createdOn": "2023-04-18T05:54:34.408Z", "updatedOn": "2023-04-20T05:54:34.408Z" }
json
application/json

TunnelsOther endpoints